Data Islands with MSXML4.0


DevX Home    Today's Headlines   Articles Archive   Tip Bank   Forums   

Results 1 to 2 of 2

Thread: Data Islands with MSXML4.0

  1. #1
    Richard Guest

    Data Islands with MSXML4.0


    I've got an application that uses data islands to persist data on my page.
    I've got the IE5.5SP2 w/ MSXML4.0 parser running on the client machine.
    Here's the problem. When I try to access the setProperty method of the
    DOM object (in this case, my data island), I get the "invalid property or
    method" error message. I'm assuming that there is no way to tell IE which
    parser to use when loading the data island?? I know the MSXML4 parser is
    working because I can create DOMDocument objects in code(i.e. CreateObject
    "Msxml2.DOMDocument.4.0"), but for my purposes, I need to use the data island.
    Another idea I had was to load the xml from the data island into an actual
    4.0 DOMDocument, but my load method triggers an error that says, "Mixing
    MSXML Objects causes errors", or something like that.... That's what made
    me suspect that IE is using an older version of the parser to load my data
    island...

    Any ideas?

  2. #2
    Russell Jones Guest

    Re: Data Islands with MSXML4.0

    Try loading the data into the default DOMDocument object, retrieving its
    contents as a string, and then using the loadXML method to explicitly load a
    DOMDocument.4.0 object with the result. That should avoid the error message.

    "Richard" <rpjolly@yahoo.com> wrote in message news:3c7463fe$1@10.1.10.29...
    >
    > I've got an application that uses data islands to persist data on my page.
    > I've got the IE5.5SP2 w/ MSXML4.0 parser running on the client machine.
    > Here's the problem. When I try to access the setProperty method of the
    > DOM object (in this case, my data island), I get the "invalid property or
    > method" error message. I'm assuming that there is no way to tell IE which
    > parser to use when loading the data island?? I know the MSXML4 parser is
    > working because I can create DOMDocument objects in code(i.e. CreateObject
    > "Msxml2.DOMDocument.4.0"), but for my purposes, I need to use the data

    island.
    > Another idea I had was to load the xml from the data island into an

    actual
    > 4.0 DOMDocument, but my load method triggers an error that says, "Mixing
    > MSXML Objects causes errors", or something like that.... That's what made
    > me suspect that IE is using an older version of the parser to load my data
    > island...
    >
    > Any ideas?




Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
HTML5 Development Center
 
 
FAQ
Latest Articles
Java
.NET
XML
Database
Enterprise
Questions? Contact us.
C++
Web Development
Wireless
Latest Tips
Open Source


   Development Centers

   -- Android Development Center
   -- Cloud Development Project Center
   -- HTML5 Development Center
   -- Windows Mobile Development Center